Subject: Re: bug#54343: 28.0.91; find-function goes to a wrong place for erc

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Mar 2022 15:10:50 +0100

"J.P." <[email-masked]> writes:

>   -cl-\\(?:defun\\|defmethod\\)\\|\
>   +cl-\\(?:defun\\|defgeneric\\|defmethod\\)\\|\
>
> appears to work in cursory testing.

Thanks.  So I've now added that in Emacs 29, too.  (But that regexp
there is the single worst thing I've seen in Emacs, so perhaps longer
term it would be nice if it was rewritten.  And perhaps the logic should
be "first look for these things, and if we don't find them, then look
for these other things".  That is, a priority thing.)

> Just a benign optimization involving some culling of redundant code in
> `erc--switch-to-buffer'. This email contains the latest version, with a
> slightly revised commit message:
>
>   https://lists.gnu.org/archive/html/bug-gnu-emacs/2022-01/msg02081.html

I think that makes sense?  But I haven't tested the patch.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no